export enum StorageType {
  DRAWER = 'DRAWER',
  SHELF = 'SHELF',
  ASSEMBLY = 'ASSEMBLY',
  CUPBOARD = 'CUPBOARD',
  CLOSET = 'CLOSET',
  FRIDGE = 'FRIDGE',
  FREEZER = 'FREEZER',
  TABLE = 'TABLE',
  BOX = 'BOX',
  VIRTUAL = 'VIRTUAL',
  PERSON = 'PERSON',
  OTHER = 'OTHER',
}

export const StorageTypeName: Record<StorageType, string> = {
  [StorageType.DRAWER]: 'Drawer',
  [StorageType.SHELF]: 'Shelf',
  [StorageType.ASSEMBLY]: 'Assembly',
  [StorageType.CUPBOARD]: 'Cupboard',
  [StorageType.CLOSET]: 'Closet',
  [StorageType.FRIDGE]: 'Fridge',
  [StorageType.FREEZER]: 'Freezer',
  [StorageType.TABLE]: 'Table',
  [StorageType.BOX]: 'Box',
  [StorageType.VIRTUAL]: 'Virtual',
  [StorageType.PERSON]: 'Person',
  [StorageType.OTHER]: 'Other',
};
