import { MaybeRef } from '@vueuse/core';
import { isRef } from 'vue';

export default function deepUnref<T>(input: MaybeRef<T>) {
  return JSON.parse(JSON.stringify(isRef(input) ? input.value : input)) as T;
}
